Changeset 228:74201da6600c for setup.py


Ignore:
Timestamp:
Oct 12, 2016, 9:30:34 AM (3 years ago)
Author:
Ralph Meijer <ralphm@…>
Branch:
default
hg-git-rename-source:
git
Message:

Prepare for Wokkel 16.0.0.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • setup.py

    r214 r228  
    44# See LICENSE for details.
    55
    6 import sys
    76from setuptools import setup
    87
     
    2928    egg_info.write_toplevel_names = _hacked_write_toplevel_names
    3029
    31 if sys.version_info < (3, 0):
    32     requiredTwisted = "15.5.0"
    33 else:
    34     requiredTwisted = "16.4.0"
     30with open('README.rst', 'r') as f:
     31    long_description = f.read()
    3532
    3633setup(name='wokkel',
    37       version='0.7.1',
    3834      description='Twisted Jabber support library',
     35      long_description = long_description,
    3936      author='Ralph Meijer',
    4037      author_email='ralphm@ik.nu',
    4138      maintainer_email='ralphm@ik.nu',
    42       url='http://wokkel.ik.nu/',
     39      url='https://wokkel.ik.nu/',
    4340      license='MIT',
    4441      platforms='any',
     42      classifiers=[
     43          'Programming Language :: Python :: 2.7',
     44          'Programming Language :: Python :: 3',
     45          'Programming Language :: Python :: 3.3',
     46          'Programming Language :: Python :: 3.4',
     47          'Programming Language :: Python :: 3.5'
     48      ],
    4549      packages=[
    4650          'wokkel',
     
    5054      package_data={'twisted.plugins': ['twisted/plugins/server.py']},
    5155      zip_safe=False,
     56      setup_requires=[
     57          'incremental',
     58      ],
     59      use_incremental=True,
    5260      install_requires=[
    53           'Twisted >= %s' % requiredTwisted,
     61          'incremental',
    5462          'python-dateutil',
    5563      ],
     64      extras_require={
     65          ":python_version<'3'": 'Twisted[tls]>=15.5.0',
     66          ":python_version>'3'": 'Twisted[tls]>=16.4.0',
     67      },
    5668)
Note: See TracChangeset for help on using the changeset viewer.